""" Reference: https://docs.gunicorn.org/en/stable/settings.html """
""" Config File  https://docs.gunicorn.org/en/stable/settings.html#config-file """
config = "service/gunicorn.py"
wsgi_app = "service.app:app"

""" Debugging  https://docs.gunicorn.org/en/stable/settings.html#debugging """
# reload = False
# reload_engine = "auto"
# reload_extra_files = []
# spew = False
# check_config = False
# print_config = False

""" Logging  https://docs.gunicorn.org/en/stable/settings.html#logging """
accesslog = "-"
# disable_redirect_access_to_syslog = False
access_log_format = "%(t)s [%({HTTP_X_REAL_IP}e)s] '%(m)s' %(s)s %(b)s '%(U)s' '%(q)s' '%(a)s' '%(D)s'"
# errorlog = "-"
loglevel = "debug"
capture_output = True
# logger_class = 'gunicorn.glogging.Logger'
# logconfig = None
# logconfig_dict = dict()
# logconfig_json = None
# syslog_addr = 'udp://localhost:514'
# syslog = None
# syslog_prefix = None
# syslog_facility = "user"
# enable_stdio_inheritance = False
# statsd_host = None
# dogstatsd_tags = ""
# statsd_prefix = ""

""" Process Naming  https://docs.gunicorn.org/en/stable/settings.html#process-naming """
# proc_name = None
# default_proc_name = ""

""" SSL https://docs.gunicorn.org/en/stable/settings.html#ssl """
# keyfile = None
# certfile = None
# ssl_version = 2
# cert_reqs = 0
# ca_certs = None
# suppress_ragged_eofs = True
# do_handshake_on_connect = False
# ciphers = None

""" Security  https://docs.gunicorn.org/en/stable/settings.html#security """
# limit_request_line = 4094
# limit_request_fields = 100
# limit_request_field_size = 8190

""" Server Hooks  https://docs.gunicorn.org/en/stable/settings.html#server-hooks """


""" Server Mechanics  https://docs.gunicorn.org/en/stable/settings.html#server-mechanics """
# preload_app = False
# sendfile = None
# reuse_port = False
chdir = "/app"
# daemon = False
# raw_env = []
# pidfile = None
# worker_tmp_dir = None
# user = "django"
# group = "django"
# umask = 0
# initgroups = False
# tmp_upload_dir = None
# secure_scheme_headers = {'X-FORWARDED-PROTOCOL': 'ssl', 'X-FORWARDED-PROTO': 'https', 'X-FORWARDED-SSL': 'on'}
# forwarded_allow_ips = ['127.0.0.1']
# pythonpath = None
# paste = None
# proxy_protocol = False
# proxy_allow_ips = ['127.0.0.1']
# raw_paste_global_conf = []
# strip_header_spaces = False

""" Server Socket  https://docs.gunicorn.org/en/stable/settings.html#server-socket """
bind = "0.0.0.0:5000"
# backlog = 2048

""" Worker Processes  https://docs.gunicorn.org/en/stable/settings.html#worker-processes """
# workers = 1
worker_class = "uvicorn.workers.UvicornWorker"
# threads = 2
# worker_connections = 1000
# max_requests = 0
# max_requests_jitter = 0
# timeout = 30
# graceful_timeout = 30
# keepalive = 2
